(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     10144,        230]
NotebookOptionsPosition[      9542,        211]
NotebookOutlinePosition[      9970,        228]
CellTagsIndexPosition[      9927,        225]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.812221621207502*^9, 3.812221625451374*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"6d1d4169-62c4-45b3-923b-3f72e6a5cd00"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"0", "2.3", "0", "1", 
       RowBox[{"5", "/", "2"}], "0", "0", "0"},
      {"2.3", "0", 
       RowBox[{"-", "1"}], "0", "\[Pi]", "0", "0", "0"},
      {"0", 
       RowBox[{"-", "1"}], "0", "0", 
       RowBox[{"-", "2"}], "0", "0", "1"},
      {"1", "0", "0", "0", "0", "1", "0", 
       RowBox[{"-", "5"}]},
      {
       RowBox[{"5", "/", "2"}], "\[Pi]", 
       RowBox[{"-", "2"}], "0", "0", "0", 
       RowBox[{"-", "3"}], 
       SqrtBox["2"]},
      {"0", "0", "0", "1", "0", "0", "0", "1"},
      {"0", "0", "0", "0", 
       RowBox[{"-", "3"}], "0", "0", "0"},
      {"0", "0", "1", 
       RowBox[{"-", "5"}], 
       SqrtBox["2"], "1", "0", "0"}
     }], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"GrafoMP", "[", 
  RowBox[{"A", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
     "h"}], "}"}], ",", 
   RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8122216059000745`*^9, 3.8122216915578346`*^9}, {
   3.8122218220659723`*^9, 3.8122218536267138`*^9}, {3.812221893746131*^9, 
   3.812221918956123*^9}, 3.812221975968897*^9, {3.8122220118320255`*^9, 
   3.8122221825426188`*^9}, {3.812222472567752*^9, 3.812222476552003*^9}, {
   3.8122225269587545`*^9, 3.812222565332817*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"b9611b1e-0643-4ca7-93f0-2beb37df0540"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g, $CellContext`h}, {
      Null, {{1, 2}, {1, 4}, {1, 5}, {2, 3}, {2, 5}, {3, 5}, {3, 8}, {4, 6}, {
       4, 8}, {5, 7}, {5, 8}, {6, 8}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> Rational[5, 2], 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> Pi, 
         UndirectedEdge[$CellContext`e, $CellContext`h] -> 2^Rational[1, 2], 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> -3, 
         UndirectedEdge[$CellContext`d, $CellContext`h] -> -5, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> -2, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> -1, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`f, $CellContext`h] -> 1, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 1, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 2.3}, 
       EdgeWeight -> {2.3, 1, 
         Rational[5, 2], -1, Pi, -2, 1, 1, -5, -3, 2^Rational[1, 2], 1}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{1.5263051001204484`, 0.}, {2.334373271172609, 
          0.15524038768978277`}}], 
         InsetBox["2.3`", {1.9303391856465288, 0.07762019384489138}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.5263051001204484`, 0.}, {0.4896745622901584, 
          0.4084331914492083}}], 
         InsetBox["1", {1.0079898312053035, 0.20421659572460416}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.5263051001204484`, 0.}, {2.3364342125954902`, 
          0.7794204206773754}}], InsetBox[
          FractionBox["5", "2"], {1.9313696563579694, 0.3897102103386877}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.334373271172609, 0.15524038768978277`}, {
          1.973148685110628, 1.2249833756222694`}}], InsetBox[
          RowBox[{"-", "1"}], {2.1537609781416185, 0.6901118816560261}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.334373271172609, 0.15524038768978277`}, {
          2.3364342125954902`, 0.7794204206773754}}], 
         InsetBox["\[Pi]", {2.3354037418840496, 0.4673304041835791}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.973148685110628, 1.2249833756222694`}, {
          2.3364342125954902`, 0.7794204206773754}}], InsetBox[
          RowBox[{"-", "2"}], {2.154791448853059, 1.0022018981498224}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.973148685110628, 1.2249833756222694`}, {
          1.087577228862872, 1.1063714725973974`}}], 
         InsetBox["1", {1.53036295698675, 1.1656774241098335}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4896745622901584, 0.4084331914492083}, {0., 
          1.1385430620028767`}}], 
         InsetBox["1", {0.2448372811450792, 0.7734881267260425}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4896745622901584, 0.4084331914492083}, {
          1.087577228862872, 1.1063714725973974`}}], InsetBox[
          RowBox[{"-", "5"}], {0.7886258955765152, 0.7574023320233029}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.3364342125954902`, 0.7794204206773754}, {
          3.552805796063942, 1.056993722857338}}], InsetBox[
          RowBox[{"-", "3"}], {2.944620004329716, 0.9182070717673567}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.3364342125954902`, 0.7794204206773754}, {
          1.087577228862872, 1.1063714725973974`}}], InsetBox[
          SqrtBox["2"], {1.7120057207291812, 0.9428959466373864}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 1.1385430620028767`}, {1.087577228862872, 
          1.1063714725973974`}}], 
         InsetBox["1", {0.543788614431436, 1.122457267300137}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{1.5263051001204484, 0.}, 0.034076826480230804], 
         InsetBox["a", 
          Offset[{2, 2}, {1.5603819266006793, 0.034076826480230804}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.334373271172609, 0.15524038768978277}, 
          0.034076826480230804], 
         InsetBox["b", 
          Offset[{2, 2}, {2.3684500976528398, 0.18931721417001357}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.973148685110628, 1.2249833756222694}, 
          0.034076826480230804], 
         InsetBox["c", 
          Offset[{2, 2}, {2.0072255115908586, 1.2590602021025004}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4896745622901584, 0.4084331914492083}, 
          0.034076826480230804], 
         InsetBox["d", 
          Offset[{2, 2}, {0.5237513887703892, 0.4425100179294391}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3364342125954902, 0.7794204206773754}, 
          0.034076826480230804], 
         InsetBox["e", 
          Offset[{2, 2}, {2.370511039075721, 0.8134972471576062}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.1385430620028767}, 0.034076826480230804], 
         InsetBox["f", 
          Offset[{2, 2}, {0.034076826480230804, 1.1726198884831076}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.552805796063942, 1.056993722857338}, 
          0.034076826480230804], 
         InsetBox["g", Offset[{2, 2}, {3.586882622544173, 1.091070549337569}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.087577228862872, 1.1063714725973974}, 
          0.034076826480230804], 
         InsetBox["h", 
          Offset[{2, 2}, {1.121654055343103, 1.1404482990776281}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.812221724625548*^9, 3.8122217635611353`*^9, {3.8122218241637406`*^9, 
   3.8122218544107285`*^9}, {3.812221895988674*^9, 3.8122219197935343`*^9}, 
   3.81222197677075*^9, {3.812222168586512*^9, 3.812222183343759*^9}, {
   3.8122224735990624`*^9, 3.8122224770569153`*^9}, {3.812222544876259*^9, 
   3.8122225674780006`*^9}, {3.8122226004239073`*^9, 3.812222622526105*^9}},
 CellLabel->"Out[22]=",ExpressionUUID->"9ec87cee-6245-467c-a83d-6bc30723375a"]
}, Open  ]]
},
WindowSize->{949, 478},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"26d7dfd7-44c3-4dd2-aadb-19f48acf6f1d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 198, 3, 63, "Input",ExpressionUUID->"6d1d4169-62c4-45b3-923b-3f72e6a5cd00"],
Cell[CellGroupData[{
Cell[781, 27, 1489, 37, 528, "Input",ExpressionUUID->"b9611b1e-0643-4ca7-93f0-2beb37df0540"],
Cell[2273, 66, 7253, 142, 356, "Output",ExpressionUUID->"9ec87cee-6245-467c-a83d-6bc30723375a"]
}, Open  ]]
}
]
*)

